Return Payments
Path parameters
customerIdstringRequired
Header parameters
authorizationstringOptional
Authorization header containing your API Token
x-alg-noncestringOptional
Nonce used to generate the payload signature
x-alg-signaturestringOptional
Payload signature
datestringOptional
Date of the request un UTC/GMT
Body
paymentIdstring · uuidRequired
Payment id of the inbound transaction to be returned
idempotencyKeystring · uuidRequired
returnReasonstring · enumRequiredPossible values:
Reason for initiating the return
returnExplanationstring · max: 500 · nullableOptional
Optional human-readable explanation for the return
externalReferencestring · uuidOptionalExample:
Reference identifier provided by partner.
ae588135-0391-42a8-a4e4-e8e7645fa707Responses
200
Returns transfer response for the initiated return
application/json
paymentIdstring · uuidRequiredExample:
Unique identifier of the payment
1489dd60-aa06-48a6-a267-e7d4a9a84200processingStatestring · enumRequiredExample:
Processing state of the payment
SUCCESSPossible values: createdOnstring · date-timeRequired
Timestamp when the payment was created
initiationRequestone ofRequired
Original request payload that initiated the payment
or
or
or
400
Input validation error
application/json
403
Forbidden
application/json
408
Request timeout
application/json
412
Precondition failed. Payment cannot be returned due to unsupported transaction type.
application/json
422
Unprocessable entity
application/json
post
/v1/partner/payments/customers/{customerId}/payments/returnLast updated
Was this helpful?